Skip to content

Scan Tag

POST
/api/v1/container_registry/artifacts-scan/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/artifacts-scan/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"project_name": "cr-39269",
"repository_name": "testing",
"reference": "sha256:68a82b4778f7222526659d7d426958966fc31a09daacac166c5be924c44d6b50",
"action": "start"
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
project_name
string

Example

cr-39269
repository_name
string

Example

testing
reference
string

Example

sha256:68a82b4778f7222526659d7d426958966fc31a09daacac166c5be924c44d6b50
action
string

Example

start

Vulnerability scan initiated successfully.

Media typeapplication/json
object
code
integer
data
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": "SCANNING STARTED SUCCESSFULLY",
"errors": {},
"message": "Success"
}